<?php session_start();?>
<?php include('../_cfg/config.php');?>	
<?php include('php_session.php');?>
<?php include('php_gene1.php'); ?>	
<?php //foreach($_POST as $campo => $busqr){${$campo}=$busqr;} ?>
<?php $pdocu=$_POST['docu'];?>
<?php $pcolu=$_POST['colu'];?>
<?php $pbusq=$_POST['busq'];?>
<?php $ptabla=$pdocu;?>
<?php $penti=$_POST['enti'];?>
<?php $pitem=$_POST['item'];?>

<?php ob_start(); ?>
<?php

$pmaes='';
$pbusq=trim($pbusq);
$poption=substr($pcolu,strpos($pcolu,',')+1);
if($poption==''){$pvalue=$pcolu;$poption=$pcolu;}
else{$pvalue=substr($pcolu,0,strpos($pcolu,','));}

if(mb_stristr('enti_,item_',substr($pcolu,0,5)))
{$pmaes=substr($pcolu,0,4).'';}


echo '<resul>';
// if ($ptabla!="" and $pbusq!="")
if ($ptabla!="")
{
	echo '<options>';
	$sql_list='select * from docu0 where docu_tabla!="" and docu_codigo like "'.$pdocu.'%"';
	$res_list=mysql_query($sql_list,$link_vcrx);
	if(!mysql_error($link_vcrx))
	{
		if(mysql_num_rows($res_list)!=0)
		{$ptabla=mysql_result($res_list,0,'docu_tabla').'';}
    
		$lyear=strtotime('-12 month');
		$lyear=date('Y-m-'.'01',$lyear);	
		$sql_list='select distinct ';
		$sql_list.=$pvalue.',';
		$sql_list.= 'concat('.str_replace(',','," //",',$poption).') as datalist';
    if($ptabla=='item')
    {
//       $sql_list.=',tlla_descri';
//       $sql_list.=',clor_descri';
    }
		$sql_list.=' from '.$ptabla.'0';
		$sql_list.=' where '.$ptabla.'_status!="X"';
		$sql_list.=' and '.$ptabla.'_status!="O"';
		$sql_list.=' and '.$ptabla.'_status!="I"';

		if(strlen($pbusq)<=4 and ($ptabla=='enti' or $ptabla=='item'))
		{$sql_list.=' and concat('.$pcolu.') like "'.$pbusq.'%" ';}
		else
		{$sql_list.=' and concat('.$pcolu.') like "%'.$pbusq.'%" ';}
		
		if($cfg_tipo=='cong')
		{if($pdocu!='DPU2'){$sql_list.=' and cong="'.$_SESSION['cong_codigo'].'" ';}}

		if(substr($pdocu,0,2)=='FP' and $pcolu=='atrz')
		{$sql_list.=' and enti like "%'.$penti.'%" ';}

		$sql_list.=' order by '.$pcolu;
		if(substr($pdocu,0,2)=='FP' and $pcolu=='atrz'){$sql_list.=' desc ';}
// 		$sql_list.=' limit 100';
		
		$sql_list1='';
		$sql_list1.=' and docu like "'.$pdocu.'%" ';
		$sql_list1.=' and fecha >= "'.$lyear.'" ';
		
// 		echo $sql_list1;
		$dlok=0;
		$res_list=mysql_query($sql_list,$link_vcrx);
		if(!mysql_error($link_vcrx)){$dlok=1;}
		else
		{
			$sql_list=str_replace($ptabla.'0 ',$ptabla.'00 ',$sql_list);
			$res_list=mysql_query($sql_list,$link_vcrx);
      if(!mysql_error($link_vcrx)){$dlok=1;}
			else
			{
				$pvalue=str_replace('_codigo','',$pvalue);
				$sql_list=str_replace($ptabla.'00 ',$ptabla.'1 ',$sql_list);
				$sql_list=str_replace('_codigo','',$sql_list);
				$sql_list=str_replace($ptabla.'_status','status',$sql_list);
				$sql_list=str_replace('and status!="I"',$sql_list1,$sql_list);
				$res_list=mysql_query($sql_list,$link_vcrx);
				if(!mysql_error($link_vcrx)){$dlok=1;}
				else
				{
					$sql_list=str_replace($ptabla.'1 ',$ptabla.'12 ',$sql_list);
					$res_list=mysql_query($sql_list,$link_vcrx);
					if(!mysql_error($link_vcrx)){$dlok=1;}
// 					else
// 					{
// 						$sql_list=str_replace($ptabla.'11 ',$ptabla.'12 ',$sql_list);
// 						$res_list=mysql_query($sql_list,$link_vcrx);
// 						if(!mysql_error($link_vcrx)){$dlok=1;}
// 					}
				}
			}
		}
    
    
//     if($pmaes!='')
//     {
//       $sql_maes='';
//       $sql_maes.='select * from '.$pmaes.'0';
//       $sql_maes.=' where '.$pmaes.'_status!="I"';
//       $sql_maes.=' and '.$pmaes.'_codigo in(select distinct '.$pmaes.' from '.$ptabla.'12)';
//     }
    echo $sql_list;
    echo explain_sql($sql_list);
    
		if($dlok==1)
		{
			if(mysql_num_rows($res_list)>50)
			{
				$sql_list.=' limit 50 ';
				$res_list=mysql_query($sql_list,$link_vcrx);
			}
			while($aso_list=mysql_fetch_assoc($res_list))
			{
        $optionvalue ='';
//         $optionvalue.='<option value="'.$aso_list['datalist'];
        
        if(mb_stristr($sql_list,$ptabla.'0'))
        {
          $optionvalue.='<option value="'.$aso_list[$ptabla.'_codigo'];
          if($ptabla=='item')
          {
  //           $optionvalue.=' /'.$aso_list['tlla_descri'];
  //           $optionvalue.=' /'.$aso_list['clor_descri'];
          }  
          $optionvalue.='">';
          $optionvalue.=$aso_list['datalist'];
  //         $optionvalue.=$aso_list[$ptabla.'_descri'];
  //         $optionvalue.=' (';
  //         $optionvalue.=$aso_list[$ptabla.'_codigo'];
  //         $optionvalue.=' )';
          $optionvalue.='</option>';
        }
        else
        {
          if($pvalue==''){$pvalue=$aso_list['datalist'];}
//           $optionvalue.='<option value="'.$aso_list['datalist'];
          $optionvalue.='<option value="'.$aso_list[$pvalue];
          $optionvalue.='">';
          $optionvalue.=$aso_list['datalist'];
//           $optionvalue.=$aso_list[$poption];
          $optionvalue.='</option>';
        }
        
        
				echo $optionvalue;
			}
		}
	}
	echo '</options>';
}
echo '</resul>';
?>

<?php $obstart = ob_get_clean(); ?>
<?php //$obstart = alltrim($obstart) ?>
<?php $obstart = limpiahtml($obstart) ?>
<?php echo $obstart;	?>
<?php @mysql_close($link_vcrx); ?>

